# Uses of Class
org.apache.lucene.search.suggest.document.NRTSuggester

Packages that use NRTSuggester
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

## Uses of NRTSuggester in org.apache.lucene.search.suggest.document

Methods in org.apache.lucene.search.suggest.document that return NRTSuggester
Modifier and Type
Method
Description
`static NRTSuggester`
NRTSuggester.`load(IndexInput input, CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Loads a `NRTSuggester` from `IndexInput` on or off-heap depending on the provided `fstLoadMode`
`NRTSuggester`
CompletionsTermsReader.`suggester()`
Returns the suggester for a field, if not loaded already, loads the appropriate suggester from CompletionDictionary
`NRTSuggester`
CompletionTerms.`suggester()`
Returns a `NRTSuggester` for the field or `null` if no FST was indexed for this field
Constructors in org.apache.lucene.search.suggest.document with parameters of type NRTSuggester
Modifier
Constructor
Description
`protected`
`CompletionScorer(CompletionWeight weight, NRTSuggester suggester, LeafReader reader, Bits filterDocs, boolean filtered, Automaton automaton)`
Creates a scorer for a field-specific `suggester` scoped by `acceptDocs`